Subject: [bug#65866] [PATCH 0/8] Add built-in builder for Git checkouts

From: Simon Tournier <[email-masked]>
Date: Mon, 25 Sep 2023 14:37:17 +0200

Hi,

On Mon, 25 Sep 2023 at 11:23, Ludovic Courtès <[email-masked]> wrote:
> Simon Tournier <[email-masked]> skribis:
>
>> On Sat, 23 Sep 2023 at 00:28, Ludovic Courtès <[email-masked]> wrote:
>>
>>> +(define* (git-fetch/built-in ref hash-algo hash
>>> +                             #:optional name
>>> +                             #:key (system (%current-system)))
>>> +  "Return a fixed-output derivation without any dependency that performs a Git
>>> +checkout of REF, using the \"builtin:git-download\" derivation builder."
>>
>> I do not understand what means “without any dependency” here.
>
> It means the derivation does not depend on anything (it has zero
> “sources” and zero “input derivations”).  That’s fundamental here, which
> is why I made it explicit.

Aaah :-)  Yeah that makes sense.

Well, from my understanding, « fixed-output derivation without any
dependency » is not clear at first (we are always dependent on something
else ;-)) and I am sure that weeks or months later, I will not remember
that it means: « zero “sources” and zero “input derivations” ».

Hum, once it is known, it is hard to find a better wording though. ;-)

I do not know if it is better, at least, it appears clearer from my
point of view:

      "Return a fixed-output derivation that performs a Git checkout of REF,
    using the \"builtin:git-download\" derivation builder, thus without any
    dependency other than from builtin."

Cheers,
simon